---
lang: en
title: 'API docs: socketio.socketio.disconnect'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketio.disconnect.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [socketio](./socketio.socketio.md) &gt; [disconnect](./socketio.socketio.disconnect.md)

## socketio.disconnect() function

Decorate a controller method for `disconnect`

**Signature:**

```typescript
function disconnect(): MethodDecorator;
```
**Returns:**

MethodDecorator


